<div class="resizable2" id="NpMainContent">
    <div id="Search_Producers" style="display:none" class="well NrlForm SearchPage" data-ng-controller="ControllerProducersSearch"  data-on-key-down="navigateBackward()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div class="TopFormArea">
            <h2>{{getALString(pageModel.pageTitle)}}</h2>
        </div>
        <div class="alert" data-ng-class="alert-pageModel.message.severity" data-ng-show="alert-pageModel.message.visible">
        <b>{{pageModel.message.header}}</b>
        {{pageModel.message.body}}
        </div>
        <div class="FormArea"  >
            <table>
                <tr>
                    <td colspan="1" style="width:25%" >
                        <label class="pull-left" for="d__prodName"  data-ng-bind="getALString('Full Name')"   />
                    </td>
                    <td colspan="1" style="width:25%" >
                        <label class="pull-left" for="d__prodCode"  data-ng-bind="getALString('Code')"   />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
                <tr>
                    <td colspan="1" style="width:25%" >
                        <input name='d__prodName' data-ng-model='pageModel.prodName' data-np-ui-model='pageModel._prodName' data-ng-readonly='d__prodName_disabled()' data-np-text='dummy' />
                    </td>
                    <td colspan="1" style="width:25%" >
                        <input name='d__prodCode' data-ng-model='pageModel.prodCode' data-np-ui-model='pageModel._prodCode' data-ng-readonly='d__prodCode_disabled()' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='' class='ngCellNumber' />
                    </td>
                    <td colspan="1"  >
                    </td>
                    <td colspan="1"  >
                    </td>
                </tr>
            </table>
        </div>
        <div class="searchPageButtons">
            <button  id="searchBtn_id"   data-np-click  ="searchBtnAction()" data-ng-class="" 
            data-ng-disabled="searchIsDisabled()"  >
                <i class="icon search"/>
                {{getALString(getLabelById('searchBtn_id'))}}
            </button>

            <button  id="clearBtn_id"   data-np-click  ="clearBtnAction()" data-ng-class="" 
              >
                <i class="icon clear"/>
                {{getALString(getLabelById('clearBtn_id'))}}
            </button>

            <button  id="newBtn_id"   data-np-click  ="newBtnAction()" data-ng-class="" 
            data-ng-disabled="newIsDisabled()"  >
                <i class="icon new"/>
                {{getALString(getLabelById('newBtn_id'))}}
            </button>

            <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
            data-ng-disabled="cancelIsDisabled()"  >
                <i class="icon back"/>
                {{getALString(getLabelById('cancelBtn_id'))}}
            </button>

        </div>
        <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
            <div data-on-key-down="gridPageDown()" data-keys="[34]">
                <div id="search_page_results_id" data-ng-grid="pageModel.grid" class="gridStyle">
                </div>
            </div>
        </div>
    </div>
</div>
